Problem mit GTK

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von -=Stefan=-, 03.07.2008.

  1. #1 -=Stefan=-, 03.07.2008
    -=Stefan=-

    -=Stefan=- Grünschnabel

    Dabei seit:
    03.07.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Ich benutze seit einem halben Jahr openSuse 10.3 (bzw. gestern auf 11.0 "geupradet"), bin daher also noch Linux-Neuling :)

    Als ich Pidgin-2.4.3 (per src) installieren wollte, kam (bei ./configure) folgende Meldung:
    Code:
    You must have GTK+ 2.0 development headers installed to compile Pidgin.
    Daraufhin habe ich (per zypper) GTK(-devel), Glib(-devel), ATK und Pango aktualisiert (alle 4 müssten aber eigentlich schon zuvor installiert gewesen sein).

    Seither läuft kein Programm mehr, das die GTK nutzt:
    (Bei der Pidgin-Installation kommt weiterhin die Fehlermeldung)

    Firefox:

    Code:
    /usr/lib/firefox/firefox: symbol lookup error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_dgettext
    Pidgin:

    Code:
    pidgin: symbol lookup error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_dgettext
    Gimp:

    Code:
    gimp: symbol lookup error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_dgettext
    Google hat mir auch nicht wesentlich weitergeholfen.
    Falls jemand Links oder eine Idee hat, dann bin ich demjenigen sehr dankbar, wenn er sie mit mitteilt ;)
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. P17

    P17 Schandensbegrenzer

    Dabei seit:
    06.12.2007
    Beiträge:
    196
    Zustimmungen:
    0
    Ort:
    Germany
    Code:
    ldconfig
    mal ausgeführt?
     
  4. #3 -=Stefan=-, 03.07.2008
    -=Stefan=-

    -=Stefan=- Grünschnabel

    Dabei seit:
    03.07.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Ja, habe ich bereits ausgeführt - ändert leider nichts...
     
  5. #4 Aqualung, 03.07.2008
    Aqualung

    Aqualung Routinier

    Dabei seit:
    12.02.2008
    Beiträge:
    404
    Zustimmungen:
    0
    was sagt

    Code:
    ldd /usr/lib/libgtk-x11-2.0.so.0
    eine Abhängigkeit faul?
     
  6. #5 -=Stefan=-, 03.07.2008
    -=Stefan=-

    -=Stefan=- Grünschnabel

    Dabei seit:
    03.07.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Code:
    linux-y4zg:/home/Stefan # ldd /usr/lib/libgtk-x11-2.0.so.0
            linux-gate.so.1 =>  (0xffffe000)
            libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7c9d000)
            libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7c07000)
            libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb7bfd000)
            libX11.so.6 => /usr/lib/libX11.so.6 (0xb7adc000)
            libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb7ad7000)
            libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb7ad3000)
            libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb7acd000)
            libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb7ab2000)
            libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb7a43000)
            libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb79dd000)
            libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb79b4000)
            libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0xb7973000)
            libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7900000)
            libz.so.1 => /lib/libz.so.1 (0xb78ec000)
            libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb78be000)
            libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0xb7883000)
            libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0xb787d000)
            libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0xb77ae000)
            libm.so.6 => /lib/libm.so.6 (0xb7788000)
            libc.so.6 => /lib/libc.so.6 (0xb7645000)
            libXext.so.6 => /usr/lib/libXext.so.6 (0xb7636000)
            libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb762b000)
            libXi.so.6 => /usr/lib/libXi.so.6 (0xb7622000)
            libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb761a000)
            libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7610000)
            libdl.so.2 => /lib/libdl.so.2 (0xb760c000)
            libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb7609000)
            libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb75ef000)
            libglitz.so.1 => /usr/lib/libglitz.so.1 (0xb75c7000)
            libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb75a0000)
            libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0xb759b000)
            libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb7593000)
            libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb7568000)
            libexpat.so.1 => /lib/libexpat.so.1 (0xb7541000)
            /lib/ld-linux.so.2 (0xb80b0000)
            libXau.so.6 => /usr/lib/libXau.so.6 (0xb753d000)
     
Thema:

Problem mit GTK

Die Seite wird geladen...

Problem mit GTK - Ähnliche Themen

  1. Virtualboxproblem

    Virtualboxproblem: Hallo Folgnedes Problem: Ich kann ohne Probleme In Debian-Sid, 64Bit und virtualbox-dkms Unixoide installieren, wenn es sich um eine...
  2. grub-pc Probleme bei upgrade

    grub-pc Probleme bei upgrade: Hallo, ich habe beim dist-upgrade folgendes Problem: ---------- Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt. Trigger für...
  3. Problem bei apt-get upgrade (Kali 2.0)

    Problem bei apt-get upgrade (Kali 2.0): Hi, seit paar Tagen habe ich einige Probs. Dachte es sei mal an der Zeit für ein Update und nun tauchen da einige Fehler auf: Es müssen noch 0 B...
  4. Probleme mit YUM

    Probleme mit YUM: Hallo, ich habe CentOs 7 als Dualboot mit Windows 7 auf einen Dell Latitude E5510 installiert. Dies hat soweit auch alles geklappt. Leider habe...
  5. Problem mit Win-Zugriff auf SAMBA

    Problem mit Win-Zugriff auf SAMBA: Hallo rundherum, vielleicht hat jemand eine Idee... Habe jetzt schon 1 1/2 Tage damit verbraten und den Fehler nicht gefunden. Problem:...